--
-- FS19 - Lina Holownicza PrezesZiaroo
-- @author:    	Stefan Geiger.
-- FS19 convert: PrezesZiaroo
--
Lina_register = {}

function Lina_register:loadMap()
	for _,n in pairs( { "LINA_VEHICLE_ATTACH", "LINA_VEHICLE_DETACH", "LINA_MANUAL_ATTACH_ON", "LINA_MANUAL_ATTACH_OFF", "LINA_VEHICLE_THROTTLE_ON", "LINA_VEHICLE_THROTTLE_OFF", "LINA_SELF_ATTACH", "LINA_SELF_DETACH" } ) do
		Lina:getTexts(n, g_i18n:getText(n))
	end
end

function Lina_register.registerSpecializationVehicle(vehicleType, specialization, specName)
    --print("-----register specialization to vehicleType : ".. vehicleType.name)
    table.insert(vehicleType.specializationNames, specName)
    vehicleType.specializationsByName[specName] = specialization
    table.insert(vehicleType.specializations, specialization)
end

g_specializationManager.addSpecialization('Lina', 'Lina', 'Lina',  Utils.getFilename("Skrypty/Lina.lua", g_currentModDirectory))
    
if  g_vehicleTypeManager.vehicleTypes.Lina ~= nil then
    Lina_register.registerSpecializationVehicle(g_vehicleTypeManager.vehicleTypes.Lina, Lina, 'Lina')
end
print("----Lina registered.")

addModEventListener(Lina_register);